> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create password reset link

> Generate a password reset link



## OpenAPI

````yaml /swagger/auth-api.json post /api/v1/:app_id/auth/reset-password
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Auth API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //customers.enad.io
security: []
paths:
  /api/v1/:app_id/auth/reset-password:
    post:
      tags:
        - Auth
      summary: Create password reset link
      description: Generate a password reset link
      parameters:
        - description: UUID of the app
          in: path
          name: app_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/internal_pkg_server_domains_tokens.ResetPasswordRequest
        description: Email address
        required: true
      responses:
        '200':
          description: Reset password link created and sent via email
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_server_domains_tokens.Message
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
components:
  schemas:
    internal_pkg_server_domains_tokens.ResetPasswordRequest:
      properties:
        email:
          type: string
      required:
        - email
      type: object
    internal_pkg_server_domains_tokens.Message:
      properties:
        message:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object

````